<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{72,139,1024,374}</property>
    <property name="Name">[sccrcli.tel]</property>
    <property name="Caption">[Cadastro de Clientes]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Lucida Sans" width="0" height="-16" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Local]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.T.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="Variables">{modus,aCbm_Cr_UF,osoSaym_cr_cobrador}</property>
    <property name="FromStyle">[Popup]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">16777215</property>
    <property name="Icon">[]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.F.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.F.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onFormInit">
    <![CDATA[parameters o, p1
modus:=p1]]>
  </method>
  <method name="onDlgInit">
    <![CDATA[if(modus<>NIL,SetWindowText( oDlg:handle, modus ),)
//skel variavel m_cr_cep = if(!"-"$m_cr_cep, left(m_cr_cep,5)+"-"+SubStr(m_cr_cep,6,3), m_cr_cep)
//skel variavel zTxBairro = 0
//skel COMANDO ANTES M_cr_cod_cli = if(x_operacao=1, reccount()+1, M_cr_cod_cli)
//skel COMANDO ANTES m_cr_cobrador = val(cr_zona)
//skel COMANDO DEPOIS m_cr_zona = strzero(m_cr_cobrador,2)
//skel COMANDO DEPOIS z_nil = RegLock()
//skel COMANDO DEPOIS z_nil = PUT_VAR("cr_zona",m_cr_zona)
//skel COMANDO ANTES zfglimite = .F.
//skel COMANDO ANTES m_cr_tip_cli = if(m_cr_tip_cli=" ","1",m_cr_tip_cli)
//skel COMANDO ANTES m_cr_tip_des = if(m_cr_tip_des=0,2,m_cr_tip_des)
aCbm_Cr_UF := wUfs
oCr_UF:aitems := aCbm_Cr_UF
oCr_UF:Requery() 

SET(5,1960) ]]>
  </method>
  <part class="editbox">
    <style>
      <property name="Geometry">{10,32,120,30}</property>
      <property name="Name">[oCr_cod_cli]</property>
      <property name="varName">[m_Cr_cod_cli]</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="700"/>
      </property>
      <property name="Justify">[Right]</property>
      <property name="cPicture">[999999]</property>
      <property name="nMaxLength">5</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">1</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[recno_cli("ANTES").and..f.]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{10,14,70,16}</property>
      <property name="Name">[oSayCr_cod_cli]</property>
      <property name="Caption">[Codigo]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-12" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">2</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{138,32,873,30}</property>
      <property name="Name">[oCr_nome]</property>
      <property name="varName">[m_Cr_nome]</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="700"/>
      </property>
      <property name="cPicture">[@!50]</property>
      <property name="nMaxLength">50</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">2</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{138,14,42,16}</property>
      <property name="Name">[oSayCr_nome]</property>
      <property name="Caption">[Nome]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-12" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">3</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{138,83,378,30}</property>
      <property name="Name">[oCr_fone]</property>
      <property name="varName">[m_Cr_fone]</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="700"/>
      </property>
      <property name="cPicture">[@s40]</property>
      <property name="nMaxLength">15</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">3</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{524,83,487,30}</property>
      <property name="Name">[oCr_email]</property>
      <property name="varName">[m_Cr_email]</property>
      <property name="font">
        <font name="Arial" width="0" height="-19" weight="400"/>
      </property>
      <property name="cPicture">[@s70]</property>
      <property name="nMaxLength">70</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">4</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{911,122,48,16}</property>
      <property name="Name">[oSayCr_NUMRUA]</property>
      <property name="Caption">[Número:]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-12" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">5</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{20,140,153,30}</property>
      <property name="Name">[oCr_cEP]</property>
      <property name="varName">[m_Cr_cEP]</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="700"/>
      </property>
      <property name="cPicture">[99999-999]</property>
      <property name="nMaxLength">9</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">5</property>
    </style>
    <method name="onLostFocus">
      <![CDATA[//
RETURN VAL(SONUMEROS(m_Cr_cEP))=0.or.CepCli()]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{198,140,700,30}</property>
      <property name="Name">[oCr_rua]</property>
      <property name="varName">[m_Cr_rua]</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="700"/>
      </property>
      <property name="AutoHScroll">.T.</property>
      <property name="cPicture">[@!50]</property>
      <property name="nMaxLength">50</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">6</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{18,219,132,16}</property>
      <property name="Name">[oSayCr_pontore]</property>
      <property name="Caption">[Ponto de Referência]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-12" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">6</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{198,122,132,16}</property>
      <property name="Name">[oLabel1]</property>
      <property name="Caption">[Endereco]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-12" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">6</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{911,140,100,30}</property>
      <property name="Name">[oCr_NUMRUA]</property>
      <property name="varName">[m_Cr_NUMRUA]</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="700"/>
      </property>
      <property name="cPicture">[@s6]</property>
      <property name="nMaxLength">6</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">7</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{20,122,32,16}</property>
      <property name="Name">[oSayCr_cEP]</property>
      <property name="Caption">[CEP:]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-12" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">7</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{18,171,56,16}</property>
      <property name="Name">[oSayCr_bairro]</property>
      <property name="Caption">[Bairro:]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-12" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">8</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{18,188,316,30}</property>
      <property name="Name">[oCr_bairro]</property>
      <property name="varName">[m_Cr_bairro]</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="700"/>
      </property>
      <property name="AutoHScroll">.T.</property>
      <property name="cPicture">[@!30]</property>
      <property name="nMaxLength">30</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">8</property>
    </style>
    <method name="onLostFocus">
      <![CDATA[PSQ_BROW('VB_BAIRR','PVBBAIRR','M_CR_BAIRRO','N','S',2,2,'','','',,oCr_bairro,).AND.(zTxBairro:=vb_bairr->cr_com,oTxBairro:Refresh(),.t.)
]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{602,171,46,16}</property>
      <property name="Name">[oSayCr_UF]</property>
      <property name="Caption">[Estado]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-12" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">9</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{440,188,152,25}</property>
      <property name="Name">[oCr_Taxas]</property>
      <property name="varName">[m_Cr_Taxas]</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="700"/>
      </property>
      <property name="cPicture">[@e 99,999.99]</property>
      <property name="nMaxLength">10</property>
      <property name="ToolTip">
[Cadastre a Taxa de Entrega Especifica para esse cliente, caso deseje taxa diferente da do Bairro]      </property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">9</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{360,188,71,25}</property>
      <property name="Name">[oTxBairro]</property>
      <property name="varName">[zTxBairro]</property>
      <property name="font">
        <font name="Arial" width="0" height="-19" weight="700"/>
      </property>
      <property name="cPicture">[9999.99]</property>
      <property name="nMaxLength">10</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">9</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{673,171,44,16}</property>
      <property name="Name">[oSayCr_cidade]</property>
      <property name="Caption">[Cidade]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-12" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">10</property>
    </style>
  </part>
  <part class="combobox">
    <style>
      <property name="Geometry">{601,188,68,30}</property>
      <property name="Name">[oCr_UF]</property>
      <property name="varName">[m_Cr_UF]</property>
      <property name="ColumnWidth">42</property>
      <property name="Items">{.....}</property>
      <property name="DisplayCount">8</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="700"/>
      </property>
      <property name="lEdit">.T.</property>
      <property name="FormatText">[UPPERCASE]</property>
      <property name="TabIndex">10</property>
    </style>
    <method name="onInteractiveChange">
      <![CDATA[Parameters value,oCr_UF
XmlChecaComboBox(value,oCr_UF,aCbm_Cr_UF)]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{673,188,335,30}</property>
      <property name="Name">[oCr_cidade]</property>
      <property name="varName">[m_Cr_cidade]</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="700"/>
      </property>
      <property name="AutoHScroll">.T.</property>
      <property name="cPicture">[@!30]</property>
      <property name="nMaxLength">30</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">11</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{18,237,700,30}</property>
      <property name="Name">[oCr_pontore]</property>
      <property name="varName">[m_Cr_pontore]</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="700"/>
      </property>
      <property name="cPicture">[@!50]</property>
      <property name="nMaxLength">50</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">12</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{138,67,38,16}</property>
      <property name="Name">[oSayCr_fone]</property>
      <property name="Caption">[Fones]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-12" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">12</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{526,67,39,16}</property>
      <property name="Name">[oSayCr_email]</property>
      <property name="Caption">[e-mail]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-12" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">16</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{440,171,150,16}</property>
      <property name="Name">[oSayCr_limite]</property>
      <property name="Caption">[Taxa Entrega Promocional:]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-12" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">17</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{278,171,150,16}</property>
      <property name="Name">[oLabel2]</property>
      <property name="Caption">[Taxa Entrega do Bairro:]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-12" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">17</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{860,219,68,16}</property>
      <property name="Name">[oSayCr_dt_ani]</property>
      <property name="Caption">[Aniversario:]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-12" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">20</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{18,298,700,51}</property>
      <property name="Name">[oCR_OBS]</property>
      <property name="varName">[m_CR_OBS]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="Multiline">.T.</property>
      <property name="nMaxLength">10</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">20</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[// editor(@M_CR_OBS,'Observacoes Adicionais',10,05,20,75)
RETURN .T.]]>
    </method>
  </part>
  <part class="datepicker">
    <style>
      <property name="Geometry">{860,237,148,26}</property>
      <property name="Name">[oCr_dt_ani]</property>
      <property name="varName">[m_Cr_dt_ani]</property>
      <property name="font">
        <font name="Arial" width="0" height="-19" weight="400"/>
      </property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">21</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{18,282,83,16}</property>
      <property name="Name">[oSayCR_OBS]</property>
      <property name="Caption">[Observações:]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-12" weight="700"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">22</property>
    </style>
  </part>
  <part class="ownerbutton">
    <style>
      <property name="Geometry">{335,188,18,19}</property>
      <property name="Name">[oboCr_bairro]</property>
      <property name="BtnBitmap">[smPreview]</property>
      <property name="lResource">.T.</property>
      <property name="TabIndex">26</property>
    </style>
    <method name="onClick">
      <![CDATA[PSQ_BROW('VB_BAIRR','PVBBAIRR','M_CR_BAIRRO','N','S',2,2,'','','','EXIBA',oCr_bairro,)]]>
    </method>
  </part>
  <part class="button">
    <style>
      <property name="Geometry">{923,306,85,23}</property>
      <property name="Name">[oOwnerbutton1]</property>
      <property name="Id">[IDOK]</property>
      <property name="Caption">[&amp;OK]</property>
      <property name="font">
        <font name="Arial" width="0" height="-16" weight="400"/>
      </property>
      <property name="TabIndex">1000</property>
    </style>
  </part>
  <part class="button">
    <style>
      <property name="Geometry">{923,334,85,23}</property>
      <property name="Name">[oOwnerbutton2]</property>
      <property name="Id">[IDCANCEL]</property>
      <property name="Caption">[&amp;Cancela]</property>
      <property name="font">
        <font name="Arial" width="0" height="-16" weight="400"/>
      </property>
      <property name="TabIndex">1001</property>
    </style>
  </part>
</part>
